commons-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Simon Kitching <skitch...@apache.org>
Subject Re: Common logging for java 1.1
Date Tue, 19 Apr 2005 07:45:02 GMT
On Thu, 2005-04-14 at 03:18 +1200, Simon Kitching wrote:
> On Tue, 2005-04-12 at 17:00 -0400, Yaroslav Chinskiy wrote:
> > Hi,
> > 
> > I want to use jcl with my applet, but it has to support java 1.1
> > 
> > Is there a release that support java 1?
> 
> The standard JCL release supports Java 1.1. It probably doesn't
> *compile* under 1.1, but should run correctly on 1.1. If it doesn't, I
> suggest submitting a bug report.
> 
> It's unfortunate that this is not stated clearly anywhere in the JCL
> documentation, and I will submit a patch to fix this.
> 
> JCL *might* work on Java 1.0 even, though I don't know if there is any
> real need for this. 

Here's a followup to this email:

JCL has been investigated, and it has been found that the 1.0.2 release
accidentally introduced a dependency on java 1.2. This wasn't
deliberate, but won't be easy to undo now without potentially breaking
users of 1.0.2 through 1.0.4 :-(

So for the moment, if you want to use JCl with java 1.1, try JCL release
1.0.1....

Significant debate is going on about the next JCL release, and I'm sure
support for java 1.1 will be considered as part of that.

Regards,

Simon


---------------------------------------------------------------------
To unsubscribe, e-mail: commons-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-user-help@jakarta.apache.org


Mime
View raw message